Bug 1237129 - sshd -T does not output authenticationmethods with default value
Summary: sshd -T does not output authenticationmethods with default value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-30 12:47 UTC by Stanislav Zidek
Modified: 2016-11-03 20:18 UTC (History)
2 users (show)

Fixed In Version: openssh-6.6.1p1-28.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:18:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1270925 unspecified CLOSED Some sshd_config directives not dumped by sshd -T when not specifed explicitly 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2016:2588 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2016-11-03 12:09:45 UTC

Internal Links: 1270925

Description Stanislav Zidek 2015-06-30 12:47:53 UTC
Description of problem:
Since AuthenticationMethods default value is an empty list, current logic of openssh does not dump it (using "sshd -T"). This is inconsistent with other options, which are dumped, even with default values.

Version-Release number of selected component (if applicable):
openssh-6.6.1p1-14.el7

How reproducible:
always

Steps to Reproduce:
1. make sure AuthenticationMethods is not in sshd_config
2. sshd -T |grep -i AuthenticationMethods

Actual results:
<empty output>

Expected results:
authenticationmethods

Additional info:
Considering low priority, we should probably wait until upstrem fixes this. See https://bugzilla.mindrot.org/show_bug.cgi?id=2398

Comment 6 errata-xmlrpc 2016-11-03 20:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2588.html


Note You need to log in before you can comment on or make changes to this bug.